Rated 4 out of 5 stars

I would like to put five starts because there is no alternative of this brillant addon idea BUT it doesn't seem to be compatible with Firefox 37. At least Firefox ( version 37 for me) tells me that it can't install it because it is not compatible. Could you update it ?
Thanks a million !